Säkerhetsbulletin från Debian

DSA-790-1 phpldapadmin -- programmeringsfel

Rapporterat den:
2005-08-30
Berörda paket:
phpldapadmin
Sårbara:
Ja
Referenser i säkerhetsdatabaser:
I Debians felrapporteringssystem: Fel 322423.
I Mitres CVE-förteckning: CVE-2005-2654.
Ytterligare information:

Alexander Gerasiov upptäckte att phpldapadmin, ett webbaserat gränssnitt för administrering av LDAP-servrar, tillåter alla att komma åt LDAP-servern anonymt, även om det inaktiverats med instruktionen "disable_anon_bind".

Den gamla stabila utgåvan (Woody) är inte sårbar för detta problem.

För den stabila utgåvan (Sarge) har detta problem rättats i version 0.9.5-3sarge2.

För den instabila utgåvan (Sid) har detta problem rättats i version 0.9.6c-5.

Vi rekommenderar att ni uppgraderar ert phpldapadmin-paket.

Rättat i:

Debian GNU/Linux 3.1 (sarge)

Källkod:
http://security.debian.org/pool/updates/main/p/phpldapadmin/phpldapadmin_0.9.5-3sarge2.dsc
http://security.debian.org/pool/updates/main/p/phpldapadmin/phpldapadmin_0.9.5-3sarge2.diff.gz
http://security.debian.org/pool/updates/main/p/phpldapadmin/phpldapadmin_0.9.5.orig.tar.gz
Arkitekturoberoende komponent:
http://security.debian.org/pool/updates/main/p/phpldapadmin/phpldapadmin_0.9.5-3sarge2_all.deb

MD5-kontrollsummor för dessa filer finns i originalbulletinen.